Name:           cockpit-image-builder
Version:        56
Release:        1.20250205075637859080.pr2810.15.gbdc13d41%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-57.tar.gz

# Drop obsoletes until functional enough compared to cockpit-composer
# Obsoletes:      cockpit-composer < 54
# Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 103

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Wed Feb 5 2025 Packit <hello@packit.dev> - 56-1.20250205075637859080.pr2810.15.gbdc13d41
- test: Services edit tests (regexowl)
- Components/Cockpit: NotReady (Gianluca Zuccarelli)
- AppCockpit: render not ready component (Gianluca Zuccarelli)
- Utilities: add useComposerStatus hook (Gianluca Zuccarelli)
- Components/Cockpit: add a not ready component (Gianluca Zuccarelli)
- Wizard: Add services to on-prem mapper (regexowl)
- CreateImageWizard: fix users ssh key naming in mapper (Anna Vítová)
- Wizard: Add validation to Systemd services step (regexowl)
- Wizard: Add inputs for disabled and enabled services (regexowl)
- Wizard: Add users to on-prem mapper (Michal Gold)
- Wizard: remove confirmPassword from Mapper (Michal Gold)
- ImagesTable: Format status text (regexowl)
- Wizard: Add firewall to Review step (regexowl)
- fec: enable useFileHash (Michal Gold)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
